//vc/ Integrity Checker
//vc/ Copyright 2002 George James
//vc/ Object:    %Serenj433/1.26
//vc/ Component: T.vc433.js

	var winHelp=null;
	var delimiter=parent.opener.delimiter;
	var winHelpProperties=parent.opener.winHelpProperties;
	var user=parent.opener.user;
	var g_bChanged=false;


	//----------------------------------------------------------------------
	// Validate and save item
	//----------------------------------------------------------------------
function fnItemSaveClose() {
	
	parent.serverLink.fnDo('fnItemSaveCloseResult','IntegrityChecker.fnSave',fnArguments());
}

function fnItemSaveCloseResult(result) {
	;
	var arrResult;
	;
	arrResult=result.split(delimiter);
	if (arrResult[0]!="OK") {
		alert(arrResult[0]);
		return;
	}
	g_bChanged=false;
	//
	// Report any popup message
	if ((arrResult.length>1)&&(arrResult[1]!="")) alert(arrResult[1]);
	//
	// Close the window
	parent.fnClose();
}


function fnArguments() {
	var arguments;
	var i;
	var selected;
	var selected=false;
	arguments = frmMain.vcpal.checked;
	arguments += delimiter + frmMain.vcch.checked;
        arguments += delimiter + frmMain.chreqi.checked;
	for (i=0; i<3; i++) {
		if (frmMain.vcal[i].checked==true) {
			arguments += delimiter + frmMain.vcal[i].value;
			if (frmMain.vcal[i].value=="YesAndExists") {
				frmMain.phys.checked=true;
			}
			else  {
				frmMain.phys.checked=false;
			}
		}
	}
	for (i=0; i<2; i++) {
		if (frmMain.allobjects[i].checked==true) arguments += delimiter + frmMain.allobjects[i].value;
	}
	arguments += delimiter + frmMain.phys.checked;
	arguments += delimiter + frmMain.vcal1.checked;
	arguments += delimiter + frmMain.vcal2.checked;
	arguments += delimiter + frmMain.vcal3.checked;
	arguments += delimiter + frmMain.vcal4.checked;
	arguments += delimiter + frmMain.vcob.checked;
	arguments += delimiter + frmMain.vcli.checked;
	arguments += delimiter + frmMain.fixit.checked;
	arguments += delimiter;
	for (i=0; i<frmMain.obvs.length; i++) {
		if (frmMain.obvs[i].value!=""){
			arguments += frmMain.obvs[i].value + '\003';
			selected=true;
		}
	}
	if (selected==false) {
		arguments += "*" + '\003';
	}
	return arguments;

}


function fnHelp() {
	winHelp=window.open('WebDoc/docs/utilitiesandhousekeeping.html','vcmHelp',winHelpProperties) ;
	winHelp.focus();
}


function fnChanged() {
	g_bChanged=true;	
}


function fnClose() {
	parent.fnClose();
}


function fnBeforeUnload() {
	if (g_bChanged) return "There are unsaved changes.";
}

function fnUnload() {
	// Close child windows
	if (winHelp) winHelp.close();
}


function fnAddObject(selected) {
	var i;
	var arguments="";
	if (selected.value!="") {
		frmMain.obvs.selectedIndex=-1;
		frmMain.obvs.add(new Option(selected.value,selected.value,true,true),frmMain.obvs.length-1);
	}
	for (i=0; i<frmMain.obvs.length-1; i++) {
			arguments += frmMain.obvs[i].value + '\003';
	}
	if (arguments=="") objCount.innerHTML="<label>" + '0' + " objects selected</label>";
	if (arguments!="") {
		arguments=arguments.slice(0,(arguments.length-1));
		parent.serverLink.fnDo('fnObjectCountResult','IntegrityChecker.fnAddCriteria',arguments);
	}
	selected.value="";
	selected.focus();

}


function fnDelObject() {
	var i;
	var backToSelect;
	var countSelect=0;
	var j;
	var arguments=""
	for (i=0; i<frmMain.obvs.length; i++) {
		if ((frmMain.obvs[i].selected==true)&&(frmMain.obvs[i].value!="")) {
			if (countSelect==0) {
				backToSelect=frmMain.obvs[i].value;
			}
			countSelect=countSelect+1;
			frmMain.obvs[i]=null;
			i--;
		}
	}
	if (countSelect==0) {
		alert("Please select an object to delete!");
	}
	for (j=0; j<frmMain.obvs.length; j++) {
			if (frmMain.obvs[j].value!="") arguments += frmMain.obvs[j].value + '\003';
	}
	if (arguments!="") {
		arguments=arguments.slice(0,(arguments.length1));
		parent.serverLink.fnDo('fnObjectCountResult','IntegrityChecker.fnRemoveCriteria',arguments);
	}
	if (arguments=="") objCount.innerHTML="<label>" + '0' + " objects selected</label>";
	if ((countSelect==1)&&(backToSelect!="")) {
		frmMain.selobv.value=backToSelect;    //put the deleted value back to the select box only if one item is selected
	}
	frmMain.selobv.focus();
}



function fnObjectCountResult(result) {
	objCount.innerHTML="<font color='black'><label>" + result + " objects selected</label></font>";
	frmMain.selobv.focus();
}


function fnOnClick(allobjects) {

	if (allobjects=="1") {
		frmMain.vcal2.disabled=false;
		frmMain.vcal3.disabled=false;
		frmMain.vcal4.disabled=false;
		frmMain.vcli.disabled=false;
		frmMain.chreqi.disabled=false;
		frmMain.vcpal.disabled=false;
		frmMain.obvs.disabled=true;
		frmMain.obvs.className="inputDisabled";
		frmMain.obvs.selectedIndex=-1;
		frmMain.selobv.className="inputDisabled";
		frmMain.selobv.disabled=true;
		frmMain.delObject.disabled=true;
		frmMain.addObject.disabled=true;
	}
	if (allobjects=="0") {
		frmMain.vcal2.disabled=true;
		frmMain.vcal3.disabled=true;
		frmMain.vcal4.disabled=true;
		frmMain.vcli.disabled=true;
		frmMain.chreqi.disabled=true;
		frmMain.vcpal.disabled=true;
		frmMain.obvs.disabled=false;
		frmMain.selobv.disabled=false;
		frmMain.obvs.className="input";
		frmMain.selobv.className="input";
		objCount.style.color="black";
		frmMain.delObject.disabled=false;
		frmMain.addObject.disabled=false;
		frmMain.selobv.focus();
	}
}

function fnPopWarning() {

	alert("Warning: Checking the existence of components takes a long time!");

}

window.onbeforeunload= fnBeforeUnload;
window.onunload=fnUnload;


