//vc/ Object Version Property Maintenance
//vc/ Copyright 2002 George James
//vc/ Object:    %Serenj87/1.15
//vc/ Component: T.vc870.js


	var g_oSelectedRow=null;
	var delimiter=parent.opener.delimiter;
	var user=parent.opener.user;
	


function fnLoad() {
	//
	// Select the first frame on the tab-strip
	TabStrip.fnSelect(document.getElementById('tabVersionMaintenance'));
	//
	frmMain.versionComment.focus();
}


	//----------------------------------------------------------------------
	// Validate and save item
	//----------------------------------------------------------------------
function fnItemSaveClose() {
	parent.serverLink.fnDo('fnItemSaveCloseResult','Object.fnSave',fnArguments());
}

function fnItemSaveCloseResult(result) {
	//
	var arrResult;
	//
	arrResult=result.split(delimiter);
	if (arrResult[0]!="OK") {
		alert(result);
		return;
	}
	//
	// If fnRefresh method is available then refresh selected items in main form
	if (parent.opener && parent.opener.SelectedClass.fnRefresh) parent.opener.fnRefreshSelected()
	//
	// Successfully saved so close the window
	parent.fnClose();
}



	//----------------------------------------------------------------------
	// Delete item
	//----------------------------------------------------------------------
function fnItemDelete() {
	var arguments;
	if (!confirm("WARNING: This operation will delete all information about this Object Version, including its master copy, its audit trails and all of its components stored in any Deltanji library. It will not, however, physically delete components from any non-library location.")) return;
	arguments = frmMain.object.value + "/" + frmMain.vari.value + "." + frmMain.vers.value;
	arguments += delimiter + frmMain.revision.value;
	parent.serverLink.fnDo('fnItemDeleteResult','Object.fnDelete',arguments);
}


function fnItemDeleteResult(result) {
	if (result!="OK") {
		alert(result);
		return;
	}
 	//
	// If fnRefresh method is available then refresh selected items in main form
	if (parent.opener && parent.opener.SelectedClass.fnRefresh) parent.opener.fnRefreshSelected()
	//
	// Successfully deleted so close the window
	parent.fnClose();
}


function fnArguments() {
	var arguments;
	var i;
	var selected;
	
	arguments = frmMain.object.value + "/" + frmMain.vari.value + "." + frmMain.vers.value;
	arguments += delimiter + frmMain.oldobj.value;
	arguments += delimiter + frmMain.objectDescription.value;
	arguments += delimiter + frmMain.variantDescription.value;
	arguments += delimiter + frmMain.versionComment.value;
	arguments += delimiter + frmMain.variantComment.value;
	arguments += delimiter + frmMain.objectComment.value;
	arguments += delimiter + frmMain.masterLocation.value;
	arguments += delimiter + frmMain.predecessorObjectVersion.value;
	// mergedObjectVersion field only present on merge-product versions
	arguments += delimiter + ((frmMain.mergedObjectVersion != null) ? frmMain.mergedObjectVersion.value : '');
	arguments += delimiter + frmMain.statusDate.value;
	arguments += delimiter + frmMain.creationUserId.value;
	arguments += delimiter + frmMain.creationDateTime.value;
	arguments += delimiter + frmMain.revision.value;
	//
	arguments += delimiter;
	//
	// Next field is sometimes a SELECT, otherwise an INPUT type=text
	if (frmMain.primaryChangeRequest.tagName=='SELECT') {
		for (i=0; i<frmMain.primaryChangeRequest.length; i++) {
			if (frmMain.primaryChangeRequest[i].selected==true) arguments += frmMain.primaryChangeRequest[i].value;
		}
	}
	else {
		arguments += frmMain.primaryChangeRequest.value;
	}	
	//
	arguments += delimiter;
	if (typeof(frmMain.system)=='undefined') {
		// systemless site, e.g. VC/live
	}
	else if (typeof(frmMain.system.length)=='undefined') {
		// single-system site
		if (frmMain.system.checked==true) arguments += frmMain.system.value + '\r';
	}
	else {
		for (i=0; i<frmMain.system.length; i++) {
			if (frmMain.system[i].checked==true) arguments += frmMain.system[i].value + '\r';
		}
	}
	//
	return arguments;
}


	// Select a row
function fnItemSelect(oRow) {
	if (g_oSelectedRow) g_oSelectedRow.className='row';
	g_oSelectedRow=oRow;
	g_oSelectedRow.className='selectedRow';
}


