<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:gjs="http://www.georgejames.com">

	<xsl:include href='gjsForm.xsl'/>

	<xsl:template match="Form">
	  <gjs:form
	   title='Calendar control - test01'
	   save='{/Form/@save}'
	   close='{/Form/@close}'
	   delete='{/Form/@delete}'
	   print='{/Form/@print}'
	   help='{/Form/@help}'
	   ok='{/Form/@ok}'
	   cancel='{/Form/@cancel}'
	   locale='{/Form/user/@locale}'>
     
     <script language='javascript'>
function fnItemSaveClose() {
  var ans=''
  ans=ans+getAttr(document.getElementById('test0101'),'gjsInternalValue')+"\n"
  ans=ans+getAttr(document.getElementById('test0102'),'gjsInternalValue')+"\n"
  ans=ans+getAttr(document.getElementById('test0103'),'gjsInternalValue')+"\n"
  ans=ans+getAttr(document.getElementById('test0104'),'gjsInternalValue')+"\n"
  ans=ans+getAttr(document.getElementById('test0105'),'gjsInternalValue')+"\n"
  ans=ans+getAttr(document.getElementById('test0106'),'gjsInternalValue')+"\n"
  ans=ans+getAttr(document.getElementById('test0107'),'gjsInternalValue')+"\n"
  alert(ans)
}
     </script>

	    <gjs:information>
	      This form tests the various permutations of the calendar control at level 5.
        The user's locale is <xsl:value-of select='/Form/user/@locale'/>.
	    </gjs:information>

			<gjs:frame>
				<gjs:columnWidths>
				  <gjs:column width='120'/>
				  <gjs:column width='600'/>
				</gjs:columnWidths>

				<gjs:fields>

					<gjs:calendar
					 id='test0101'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 gjsInternalValue='19991231'>
						<label>Standard</label>	 
					 </gjs:calendar>
					 
					<gjs:calendar
					 id='test0102'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 gjsInternalValue='{/Form/someElement/@someDate}'>
						<label>Date from xml file</label>	 
					 </gjs:calendar>

					<gjs:calendar
					 id='test0103'
					 gjsInternalValue='{/Form/someElement/@someDate}'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 readonly='1'>
						<label>Read only</label>	 
					 </gjs:calendar>

					<gjs:calendar
					 id='test0104'
					 gjsInternalValue='{/Form/someElement/@someDate}'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 calendar='0'>
						<label>No calendar</label>	 
					 </gjs:calendar>

					<gjs:calendar
					 id='test0105'
					 gjsInternalValue='{/Form/someElement/@someDate}'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 validate='0'>
						<label>No validation</label>	 
					 </gjs:calendar>

					<gjs:calendar
					 id='test0106'
					 gjsInternalValue='{/Form/someElement/@someDate}'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 gjsLocale='US'>
						<label>US locale</label>	 
					 </gjs:calendar>

					<gjs:calendar
					 id='test0107'
					 onblur='window.status=getAttr(this,"gjsInternalValue")'
					 gjsInternalValue=''>
						<label>Null initial value</label>	 
					 </gjs:calendar>
<!--
-->

			  </gjs:fields>
			</gjs:frame>
	  </gjs:form>
	</xsl:template>

</xsl:stylesheet>
