<?xml version='1.0' standalone='no'?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp '&#160;'> ]>
<xsl:stylesheet
 version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


   
	<xsl:template match="Form">
		<html>
			<head>
    		
    	  <!-- Load jQuery -->
    	  <script src='jquery.min.js'></script>
    	  <script src='jQuerySugar.js'></script>
    		
    	  <!-- Load jQuery UI for the datepicker-->
    	  <script src='jquery-ui.min.js'></script>
        <link rel='stylesheet' href='jquery-ui.css' type='text/css' />
    
    		<link rel='stylesheet' href='gjsForm.css' type='text/css' />
    
    		<script src='Calendar.js'/>
    
    		<!-- Set defaults for the calendar controls -->
        <script language='javascript'>
          $(function(){
            $.datepicker.setDefaults({
            <xsl:choose>
              <xsl:when test='/Form/user/@locale="US"'>
                dateFormat: 'mm/dd/yy' 
              </xsl:when>
              <xsl:otherwise>
                dateFormat: 'dd/mm/yy' 
              </xsl:otherwise>
            </xsl:choose>
            });
          });
        </script>
			</head>
			<body>	

				<table>

					<tr>
						<label
							for='test0501' 
							accesskey='A'>
							<td>
							  <span class='caption'>Caption</span>
							</td>
						</label>
						<td>
							<!-- Wrap input field and image inside a table to work around an IE formatting bug -->
							<table class='formLayoutTable' width='133'>
							  <tr>
							    <td>
							      <input 
							        type='text' 
							        size='9'
							        maxlength='10' 
							        id='test0501' 
							        name='test0501' 
											gjsInternalValue='19991231'
							        value='31/12/1999' 
							        class='input'
							        gjsLocale='{/Form/user/@locale}'
							        onchange='Calendar.fnValidate(this)'>
										</input>
							    </td>
										<td>
											<img 
												tabindex='-1'
												src="gjsCalendar.gif"
												onclick="Calendar.fnToggle(this,'test0501')" />
										</td>
								  </tr>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>

	</xsl:template>

</xsl:stylesheet>
