<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- Object: vcmfChangeRequestType.xsl/1.0 -->

<!-- This stylesheet transforms an xml formatted document into its corresponding global node representation -->
<!-- Change Request Types -->

<!-- Global node and data -->
<xsl:template match="/VCm/changeRequestType">
^%vcmf("type","<xsl:value-of select='@changeRequestType'/>")
0\<xsl:value-of select='@description'/>\<xsl:value-of select='@initialStatus'/>\<xsl:value-of select='@caption'/>\<xsl:value-of select='@prefix'/>\<xsl:value-of select='@lastUsedSuffix'/>\<xsl:value-of select='@revision'/>
^%vcmf("type","<xsl:value-of select='@changeRequestType'/>","t","ch")
<xsl:value-of select='@auditTrailLevel'/>
^%vcmf("type","<xsl:value-of select='@changeRequestType'/>","t","pr")
<xsl:value-of select='@auditTrailLevel'/>
^%vcmf("type","<xsl:value-of select='@changeRequestType'/>","t","yu")
<xsl:value-of select='@auditTrailLevel'/>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="VCm/changeRequestType/status">
^%vcmf("type","<xsl:value-of select='../@changeRequestType'/>","s","<xsl:value-of select='@status'/>")
<xsl:value-of select='@statusSequence'/>\<xsl:value-of select='@tiedLocation'/>
</xsl:template>


</xsl:stylesheet>
