//vc/ VC/m Transfer Dialog Box
//vc/ Copyright 1999,2005 George James
//vc/ Object:    %Serenj72/js.18
//vc/ Component: T.vc720.js

	// Global variables
  // Can't be fetched from parent.opener because this dialog may operate standalone
	var delimiter='\001';
	var winChref=null;
	var winHelp=null;
	var winChrefProperties='left=100,top=100,height=450,width=650,toolbar=no,location=no,directories=no,status=no,resizable=yes,menubar=no';
	var winHelpProperties='left=0,top=0,width=1000,height=700,toolbar=no,location=yes,directories=no,status=yes,resizable=yes,menubar=no,scrollbars=yes';
	var winYesNoAllProperties='dialogHeight: 200px; dialogWidth: 480px; edge: Raised; center: Yes; help: No; resizable: No; status: No;'
	var currentObv
	var yesNoAll



	//----------------------------------------------------------------------
	// Invoke Transfer Function
	//----------------------------------------------------------------------
function fnTransfer() {
	var result;
	var call;

	// Basic validation
	if (frmTransfer.txtFunction.value=='') {
		alert("Please select a transfer Function");
		return;
	}
	if (frmTransfer.txtObv.value=='') {
		alert("Please select an Object to transfer");
		return;
	}
	if (frmTransfer.txtLcode1.value=='') {
		alert("Please select a From location");
		return;
	}
	if (frmTransfer.txtLcode2.value=='') {
		alert("Please select a To location");
		return;
	}

	// Disable all inputs now until transfer is completed
	fnFormDisable(frmTransfer);

	// Interactive by-CR transfer is all done in fnTransferCrefObv
	if (pageType == 'CHREF') {
		if (frmTransfer.o1[1].checked) {
			currentObv=0
			yesNoAll=1
			if (!fnTransferCrefObv()) fnTransferClose();
			return;
		}
	}

	call  = ''
	call += delimiter + pageType ;
	call += delimiter + frmTransfer.txtFunction.value ;
	call += delimiter + frmTransfer.txtObv.value ;
	call += delimiter + frmTransfer.txtLcode1.value + ':' + frmTransfer.txtFile1.value ;
	call += delimiter + frmTransfer.txtLcode2.value + ':' + frmTransfer.txtFile2.value ;
	call += delimiter + fnGetChrefs() ;
	if (frmTransfer.txtObv.type == 'select-one') {
		call += delimiter + '0' ;
		call += delimiter ;
		call += delimiter ;
		call += delimiter ;
		call += delimiter ;
	}
	else if ((frmTransfer.txtObv.readOnly) || (frmTransfer.txtObv.type == 'hidden')) {
		call += delimiter + '0' ;
		call += delimiter ;
		call += delimiter ;
		call += delimiter ;
		call += delimiter + fnGetSystems() ;
	}
	else {
		call += delimiter + ((frmTransfer.txtCret.readOnly) ? '1' : '2') ;
		call += delimiter + frmTransfer.txtCret.value;
		call += delimiter + frmTransfer.txtObjDesc.value;
		call += delimiter + frmTransfer.txtVarDesc.value;
		call += delimiter + fnGetSystems() ;
	}
	// background job ?
	call += delimiter;
	if (pageType == 'CHREF') {
		if (frmTransfer.o1[2].checked) call += '1' ;
	}
	else {
		if (frmTransfer.chkBackground.checked) call += '1' ;
  }
  
  // Put messages to ^%SerenjSession rather than returning them in XML?
	call += delimiter;
  if (parent.name!='Transfer') {
    call += '1';
  }
  
	parent.serverLink.fnDo('fnTransferResult','Transfer.fnTransfer',call);
}

	//interactive transfer of one object in the change request
function fnTransferCrefObv() {
	if (currentObv==(frmTransfer.lstCrets.options.length-1)) return false;
	call  = ''
	call += delimiter + 'OBJECT' ;
	call += delimiter + frmTransfer.txtFunction.value ;
	call += delimiter + frmTransfer.lstCrets.options[currentObv].value;
	call += delimiter + frmTransfer.txtLcode1.value + ':' + frmTransfer.txtFile1.value ;
	call += delimiter + frmTransfer.txtLcode2.value + ':' + frmTransfer.txtFile2.value ;
	call += delimiter + frmTransfer.txtObv.value ;
	call += delimiter + '0' ;
	call += delimiter ;
	call += delimiter ;
	call += delimiter ;
	call += delimiter + fnGetSystems() ;
	call += delimiter + 'i' ;
	currentObv++;
	parent.serverLink.fnDo('fnTransferOneResult','Transfer.fnTransfer',call);
	return true;
	}


	// Get all change requests in list
function fnGetChrefs() {
	if (pageType=='CHREF') return '';
	var chref;
	var option;

	chref= '' ;
	// skip entry 0 which is always null and must not be included in the list
	for (option=1; option<frmTransfer.lstChref.options.length; option++) {
		chref += frmTransfer.lstChref.options[option].value + '\\' ;
	}
	// add any not-yet-validated one at the end
	// M side will revalidate all
	chref += $('#txtChrefAdd').scombobox('val') ;
	return chref ;
}


	// Get selected systems
function fnGetSystems() {
	if (frmTransfer.lstSystems==null) return '';
	var system;
	var option;

	system='' ;
	if (getAttr(frmTransfer.lstSystems,'gjsSelectAll')) {
		for (option=0; option<frmTransfer.lstSystems.options.length; option++) {
			system += frmTransfer.lstSystems.options[option].value + '\\' ;
		}
	}
	else {
		for (option=0; option<frmTransfer.lstSystems.options.length; option++) {
			if (frmTransfer.lstSystems.options[option].selected==true) {
				system += frmTransfer.lstSystems.options[option].value + '\\' ;
			}
		}
	}
	return system ;
}


	// When a transfer has completed we need to append the new audit message table rows to the
	// existing audit table
	// Note that interactive by-CR transfer results are handled elsewhere, in fnTransferOneResult
	//
function fnTransferResult(oResult) {
	//
	var bErrors
	//
	// Report any errors
	bErrors=fnReportTransferErrors(oResult)
	//
	// Only do this bit if this window was invoked from the main VC/m window
	if (parent.name=='Transfer' && oResult.getElementById('divMainBody')) {
		//
		// If there were any audit messages then write them to the message panel
		if (oResult.getElementById('divMainBody')) parent.opener.AuditTrail.fnAppendMessages(oResult)
		//
		// If there were *no* errors then refresh the main panel
		if (!bErrors) parent.opener.fnRefreshSelected()
	}
	//
	// If there were no errors, close the window, we're done!
	// Or, if there were errors, re-enable the form
	// Use a deferred close here and elsewhere to avoid intermittent lockups (L5236)
	// A 1ms timeout didn't solve it, a 500ms did (on my test case) 
	if (!bErrors) fnTransferClose()
	else fnFormEnable(frmTransfer)
}

	// Report transfer error(s) in simple alert box(es)
function fnReportTransferErrors(oResult) {
	var oXml,oXMLDocument,cNodes,i
	oXml=oResult.getElementById('xErrors')
	if (!oXml) return false
  
  // We have to use outerHTML and the /script prefix because on Firefox innerHTML returns "" in this situation
  oXMLDocument=$.parseXML(oXml.outerHTML)
	cNodes=$(oXMLDocument).xpath('/script/errors/message')
	if (cNodes.length==0) return false
	for (i=0; i<cNodes.length; i++)	{
		// Message may contain literal \n that needs to be converted
		alert(cNodes[i].getAttribute('message').replace(/\\n/g,'\n'))
	}
        return true
}

  // When one item of per-object interactive transfer of a CR has completed we need to append the new audit message
  // table rows to the existing audit table, and proceed or alert as necessary
  //
function fnTransferOneResult(oResult) {
	//
	var sErrorText
	//
	// Retrieve any errors
	sErrorText=fnRetrieveTransferErrors(oResult)
	//
	// Only do this bit if this window was invoked from the main VC/m window
	if (parent.name=='Transfer' && oResult.getElementById('divMainBody')) {
		//
		// If there were any audit messages then write them to the message panel
		if (oResult.getElementById('divMainBody')) parent.opener.AuditTrail.fnAppendMessages(oResult)
		//
		// If there were *no* errors then refresh the main panel
		if (sErrorText=='') parent.opener.fnRefreshSelected()
	}
	if ((sErrorText!='') && (yesNoAll!=2)) {
		//Ask before proceeding
		sErrorText=frmTransfer.lstCrets.options[currentObv-1].value+"\n\n"+sErrorText
		yesNoAll=window.showModalDialog('vcmYesNo.htm',sErrorText,winYesNoAllProperties);
	}
	// yes or all
	if (yesNoAll!=0) {
		// Transfer the next one
		if (!fnTransferCrefObv()) fnTransferClose();
	} else {
		fnTransferClose();
	}
}

	// Report transfer error(s) in simple alert box(es)
function fnRetrieveTransferErrors(oResult) {
	var sErrorText,oXml,oXMLDocument,cNodes,i
	sErrorText=''
	oXml=oResult.getElementById('xErrors')
	if (oXml) {
    // We have to use outerHTML and the /script prefix because on Firefox innerHTML returns "" in this situation
    oXMLDocument=$.parseXML(oXml.outerHTML)
		cNodes=$(oXMLDocument).xpath('/script/errors/message')
		for (i=0; i<cNodes.length; i++)	{
			sErrorText+=cNodes[i].getAttribute('message').replace(/\\n/g,'\n')+'\n'
		}
	}
        return sErrorText
}

  // Convert plain list with id txtChrefAdd into jquery-simple-combobox, attach the handlers, and grab focus
fnConvertCRList = function() {

  // Note whether original control is disabled
  var bDisabled=$('#txtChrefAdd').attr('disabled')
  
  $('#txtChrefAdd').scombobox({
    empty: true,
    wrap: false,
    loopScrolling: false,
    highlight: false,
    expandOnFocus: false,
    expandOnFocusWithValue: false,
    invalidAsValue: true,
    fillOnBlur: false,
    fillOnTab: false,
    filterIgnoreCase: false
  })
  
  // Make it appear above rather than below, and constrain it to the available height there
  $('#txtChrefAdd .scombobox-list').css('bottom', $('#txtChrefAdd').css('height'));
  $('#txtChrefAdd .scombobox-list').css('maxHeight', $('#txtChrefAdd').offset().top);
  
  // Disable if appropriate
  if (bDisabled) {
    $('#txtChrefAdd').scombobox('disabled',true)
  }
  
  $('#txtChrefAdd').scombobox('focus', function (){
    this.select()
  })
  
  if (!$('#txtChrefAdd').scombobox('disabled')) {
    $('#txtChrefAdd').scombobox('focus')
  }
}


	// Add change request to object
function fnChrefAdd(allowNew) {
	var call;
	
	call = frmTransfer.txtFunction.value ;
	if (pageType=='SEL') {
    call += delimiter ;
  }
  else {
    call += delimiter + frmTransfer.txtObv.value ;
	}
	call += delimiter + frmTransfer.txtLcode1.value ;
	call += delimiter + frmTransfer.txtLcode2.value ;
	call += delimiter + $('#txtChrefAdd').scombobox('val') ;
	call += delimiter + allowNew ;
	
	// Check whether change request already exists
	parent.serverLink.fnDo('fnChrefAddResult','Transfer.fnChrefAdd',call);
}
	

	// If change request exists then add to list
	// otherwise invoke change request selection window
function fnChrefAddResult(result) {
	var vcm;
	var chref;
	var chrefDisp;
	var chtype;
	var allowNew;
	var error;
	
	arrResult=result.split(delimiter);
	vcm=arrResult[0];
	exists=arrResult[1];
	chref=arrResult[2];
	chrefDisp=arrResult[3];
	chtype=arrResult[4];
	error=arrResult[5];
		
	if (exists==0) {
		// Build url string
		url  = vcm + '&page=ChangeRequest.fnOpen' ;
		url += '&user=' + encodeURIComponent(user) ;
		url += '&chref=' + encodeURIComponent(chref) ;
		url += '&type=' + encodeURIComponent(chtype) ;
		url += '&close=parent.opener.fnChrefAddX' ;
		url += '&function=' + encodeURIComponent(frmTransfer.txtFunction.value) ;
		url += '&lcode1=' + encodeURIComponent(frmTransfer.txtLcode1.value) ;
		url += '&lcode2=' + encodeURIComponent(frmTransfer.txtLcode2.value) ;
		url += '&obv=' + encodeURIComponent(frmTransfer.txtObv.value) ;
		url += '&systems=' + encodeURIComponent(fnGetSystems()) ;

		// Open change request window
		winChref=window.open(url,'_blank',winChrefProperties) ;
		winChref.focus();
	}


	if (exists==1) {	
		fnChrefAddZ(chref,chrefDisp);
	}	
	if (exists==2) {
		alert(error);
		$('#txtChrefAdd').scombobox('focus');
	}
}



	// Invoke change request maintenance window
function fnChrefAddX(chref,chrefdisp) {
	
	if (chref=='') {
		// Build url string
		url  = parent.serverUrl + '&page=ChangeRequest.fnOpen' ;
		url += '&user=' + encodeURIComponent(user) ;
		url += '&chref=' ;
		url += '&type=?' ;
		url += '&close=parent.opener.fnChrefAddX' ;

		// Open change request window
		winChref=window.open(url,'_blank',winChrefProperties) ;
		winChref.focus();
	}


	else {	
		$('#txtChrefAdd').scombobox('val',unescape(chref));
		fnChrefAdd(0);
		$('#txtChrefAdd').scombobox('val','');
	}	
}

	// Add a change request to object
	// Called from fnChrefResult
function fnChrefAddZ(chref,chrefdisp) {
  var option;
	var newElem;
	var sText = new String(chrefdisp);
	//
	for (option=frmTransfer.lstChref.options.length-1; option>-1; option--) {
		if (frmTransfer.lstChref.options[option].value==chref) break;
	}
	
	// Not already there, so add
  if (option==-1) {
  	newElem=document.createElement("OPTION");
  	newElem.text=chref;
  	setAttr(newElem,'gjsTip',unescape(chrefdisp));
  	newElem.value=chref;
  	frmTransfer.lstChref.options.add(newElem);
  	frmTransfer.lstChref.value=chref;
  	fnChrefSel(); // revise the tip on the Remove button
  }
  	
	// Clear the add field and refocus there
	$('#txtChrefAdd').scombobox('val','');
 	$('#txtChrefAdd').scombobox('focus');
}


	// Remove change request from object
function fnChrefDel() {
	var current;
	var option;

	// Remove current selection from Selection List Box unless it is the first one (which is a blank spacer)
	current=frmTransfer.lstChref.value;
	for (option=1; option<frmTransfer.lstChref.options.length; option++) {
		if (frmTransfer.lstChref.options[option].value==current) {
			frmTransfer.lstChref.options.remove(option);
			break;
		}
	}
	if (frmTransfer.lstChref.options.length>1) {
		frmTransfer.lstChref.options[1].selected=true;
		frmTransfer.lstChref.focus();
	}
	else {
		$('#txtChrefAdd').scombobox('focus');
	}
	// revise the tip on the Remove button
	fnChrefSel();	
}	


	// Change request selected in to-be-added list
function fnChrefSel() {
	var option;

	// Find current selection and modify tip of Remove button
	current=frmTransfer.lstChref.value;
	if (current=='') {
		frmTransfer.cmdChrefDel.disabled=true;
		frmTransfer.lstChref.title='';
		return;
	}
	for (option=1; option<frmTransfer.lstChref.options.length; option++) {
		if (frmTransfer.lstChref.options[option].selected) {
			frmTransfer.lstChref.title='Change request: ' + current + '\nSummary: ' + getAttr(frmTransfer.lstChref.options[option],'gjsTip');
			frmTransfer.cmdChrefDel.disabled=false;
			break;
		}
	}	
}	

  // Add a previous CR (doubleclick on item in lstCRs list)
function fnAddPrevChref(el) {

  // If a genuine item selected (not the blank row or beyond), add it
  if ((el.selectedIndex > -1) && (el.selectedIndex < (el.options.length-1))) {
  	$('#txtChrefAdd').scombobox('val',el.options[el.selectedIndex].text);
    fnChrefAdd(0);
  }
  el.selectedIndex=-1;
}

// function fnTransferClose() is written into the page by %Serenj720

function fnTransferHelp() {
	winHelp=window.open('WebDoc/docs/thetransferdialog.html','vcmHelp',winHelpProperties) ;
	if (winHelp) winHelp.focus();
}



function fnUnload() {
	// Close child windows
	if (winChref) winChref.close();
	if (winHelp) winHelp.close();

	// refresh object list
	// Check with Paul whether this is really required.  When would we need to
	// refresh the list on an unload event?
	// Anyway this should be contingent on parent.name=='Transfer'
	// parent.opener.fnSelect(parent.opener.txtSelect.value)
}

window.onunload = fnUnload;


	// Disable the form fields and put up an hourglass
function fnFormDisable(form) {
	form.className='frmWait';
  
  $(":input").not("[class|='scombobox']").each( function() {
    $(this).attr("gjsOldDisabled",$(this).prop("disabled"));
    $(this).prop("disabled",true);
  }
  )
  $(".scombobox").each( function() {
    $(this).attr("gjsOldDisabled",$(this).prop("disabled"));
    $(this).prop("disabled",true);
  }
  )
}


	// Enable the form and restore the cursor
function fnFormEnable(form) {
	frmTransfer.className='frmNormal';
  
  $(":input").not("[class|='scombobox']").each( function() {
    $(this).prop("disabled", function() {
      return ($(this).attr("gjsOldDisabled")=='true');
    }
    );
  }
  )
  $(".scombobox").each( function() {
    $(this).prop("disabled", function() {
      return ($(this).attr("gjsOldDisabled")=='true');
    }
    );
  }
  )
}

	// Overloads fnConnected from vc700.js
	// Called from vc730.js when the user has successfully connected to the server and is authenticated
function fnConnected() {
	fnFormEnable(frmTransfer);	
}


	// Set variant to system when the user first selects a system
function fnSetVariant(variant) {
	//
	var sys,obv,obj,vari,vers;
	//
	sys=frmTransfer.lstSystems.value;
	if (sys=='') return;

	obv=frmTransfer.txtObv.value;
	//
	obj=obv.split("/")[0];
	vari=obv.split("/")[1].split(".")[0];
	vers=obv.split("/")[1].split(".")[1];
	//
	obv=obj + "/" + sys + "." + vers;
	//
	frmTransfer.txtObv.value=obv;
}

  // Show/hide the Superseded warning (called whenever txtFunction, txtLcode1 or txtLcode2 change)
function fnPrepareWarning() {
  var oXMLDocument=$.parseXML(xRoutes.innerHTML)
  var oEl=document.getElementById('spanSuperseded')
  
  // Warning element not always generated by %Serenj720
  if (!oEl) return;
  
  // Hide it initially
  oEl.style.visibility='hidden';
  
  // Unless we have a full route spec, that's all we can do
	var sFunction=fnGetChoice(frmTransfer.txtFunction);
	if (sFunction=='') return;
	var sFromLocation=fnGetChoice(frmTransfer.txtLcode1);
	if (sFromLocation=='') return;
	var sToLocation=fnGetChoice(frmTransfer.txtLcode2);
	if (sToLocation=='') return;

  // Look up the route details in the same sequence as route^%Serenj1xva
	var cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[@location="'+sFromLocation+'"]/tolocation[@location="'+sToLocation+'"]');
	if (cNodes.length==0) cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[@location="'+sFromLocation+'"]/tolocation[@location="%ANY"]');
	if (cNodes.length==0) cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[@location="%ANY"]/tolocation[@location="'+sToLocation+'"]');
	if (cNodes.length==0) cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[@location="%ANY"]/tolocation[@location="%ANY"]');
  
  // If we found a route and it increments version, show the warning
  if ((cNodes.length==1) && (cNodes[0].getAttribute('newversion')=='1')) oEl.style.visibility='visible';
}

  // Show/hide the From-loc filename field
function fnPrepareFromFilename() {
  if (fnGetFilePromptAttribute(frmTransfer.txtLcode1)=='1') {
    frmTransfer.txtFile1.style.visibility='visible';
  }
  else {
    frmTransfer.txtFile1.style.visibility='hidden';
  }
}

  // Show/hide the To-loc filename field
function fnPrepareToFilename() {
  if (fnGetFilePromptAttribute(frmTransfer.txtLcode2)=='1') {
    frmTransfer.txtFile2.style.visibility='visible';
  }
  else {
    frmTransfer.txtFile2.style.visibility='hidden';
  }
}

	// Set function list
function fnPrepareFunctionList() {
	var sFunction=fnGetChoice(frmTransfer.txtFunction);
	var sFromLocation=fnGetChoice(frmTransfer.txtLcode1);
	var sToLocation=fnGetChoice(frmTransfer.txtLcode2);
	var sToLClass='';
	var cAllNodes;
	var cNodes=null;
	var oOption;
	var sValue;
	var aSeen = new Array(); // Used to remove duplicates (haven't worked out how to do this in selectNodes)
	var i;
  var oXMLDocument=$.parseXML(xRoutes.innerHTML)
	
	if (sToLocation.slice(0,1)=='@') {
		sToLClass=sToLocation.slice(1);
		sToLocation='';
	}

	cAllNodes=$(oXMLDocument).xpath('/routes/function');
	

	if (sFromLocation!='') {
		if (sToLocation!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[fromlocation[tolocation/@location="'+sToLocation+'" or tolocation/@location="%ANY"]/@location="'+sFromLocation+'" or fromlocation[tolocation/@location="'+sToLocation+'" or tolocation/@location="%ANY"]/@location="%ANY"]');
		}
		else if (sToLClass!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[fromlocation[tolocationclass/@locationclass="'+sToLClass+'"]/@location="'+sFromLocation+'" or fromlocation[tolocationclass/@locationclass="'+sToLClass+'"]/@location="%ANY"]');
		}
		else {
			cNodes=$(oXMLDocument).xpath('/routes/function[fromlocation/@location="'+sFromLocation+'" or fromlocation/@location="%ANY"]');
		}
	}
	else if (sToLocation!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[fromlocation/tolocation/@location="'+sToLocation+'" or fromlocation/tolocation/@location="%ANY"]');
	}
	else if (sToLClass!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[fromlocation/tolocationclass/@locationclass="'+sToLClass+'"]');
	}
	
	
	frmTransfer.txtFunction.options.length=0;
	oOption=document.createElement('OPTION');
	oOption.text='                                        '; //40 spaces for width
	oOption.value='';
	oOption.selected=true;
	frmTransfer.txtFunction.add(oOption);
	
	if (cNodes!=null) {
		for (i=0; i<cNodes.length; i++) {
			sValue=cNodes[i].getAttribute('function');
			if (typeof(aSeen[sValue])=='undefined') {
				aSeen[sValue]='';
				oOption=document.createElement('OPTION');
				oOption.text=cNodes[i].getAttribute('title');
				oOption.value=sValue;
				oOption.selected=(sValue==sFunction);
				frmTransfer.txtFunction.add(oOption);
			}
		}
		if ((cNodes.length>0) && (aSeen.length<cAllNodes.length)) {
			oOption=document.createElement('OPTION');
			oOption.text='   -- Other functions --';
			oOption.value='';
			oOption.style.backgroundColor='lightgrey';
			frmTransfer.txtFunction.add(oOption);
		}
	}
	
	for (i=0; i<cAllNodes.length; i++) {
		sValue=cAllNodes[i].getAttribute('function');
		if (typeof(aSeen[sValue])=='undefined') {
			oOption=document.createElement('OPTION');
			oOption.text=cAllNodes[i].getAttribute('title');
			oOption.value=sValue;
			oOption.selected=(sValue==sFunction);
			frmTransfer.txtFunction.add(oOption);
		}
	}
}

	// Bespoke sort function for lcode/lclass lists
function fnLocSort(a, b) {
    var textA = a[0];
    var textB = b[0];
    return (textA < textB) ? -1 : (textA > textB) ? 1 : 0;
}

	// Set from-loc list
function fnPrepareFromLocationList() {
	var sFunction=fnGetChoice(frmTransfer.txtFunction);
	var sFromLocation=fnGetChoice(frmTransfer.txtLcode1);
	var sToLocation=fnGetChoice(frmTransfer.txtLcode2);
	var sToLClass='';
	var cNodes;
	var oOption;
	var sValue;
	var bListAll;
	var aSeen = new Array(); // Used to remove duplicates (haven't worked out how to do this in selectNodes)
	var aSortable = new Array(); // Used to sort the results
	var i;
  var oXMLDocument=$.parseXML(xRoutes.innerHTML)
	
	if (sToLocation.slice(0,1)=='@') {
		sToLClass=sToLocation.slice(1);
		sToLocation='';
	}

	if (sFunction!='') {
		if (sToLocation!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[tolocation/@location="'+sToLocation+'" or tolocation/@location="%ANY"]');
		}
		else if (sToLClass!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[tolocationclass/@locationclass="'+sToLClass+'"]');
		}
		else {
			cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation');
		}
	}
	else {
		cNodes=$(oXMLDocument).xpath('/routes/function/fromlocation');
	}
		
	frmTransfer.txtLcode1.options.length=0;
	oOption=document.createElement('OPTION');
	oOption.text='                                        '; //40 spaces for width
	oOption.value='';
	oOption.selected=true;
	frmTransfer.txtLcode1.add(oOption);
	bListAll=false;
	for (i=0; i<cNodes.length; i++) {
		if (cNodes[i].getAttribute('location')=='%ANY') {
			bListAll=true;
			break;
		}
	}
	if (bListAll) {
		fnAddAllLocations(frmTransfer.txtLcode1,sFromLocation,'from');
	}
	else {
		aSeen=[];
		for (i=0; i<cNodes.length; i++) {
			sValue=cNodes[i].getAttribute('location');
			aSeen[sValue]=i;
		}
		aSortable=[];
		for (sValue in aSeen) aSortable.push([sValue, aSeen[sValue]]);
		aSortable.sort(fnLocSort);
		
		for (i=0; i<aSortable.length; i++) {
			sValue=aSortable[i][0];
			oOption=document.createElement('OPTION');
			oOption.text=sValue;
			oOption.value=sValue;
			setAttr(oOption,'gjsFilePrompt',cNodes[aSortable[i][1]].getAttribute('fileprompt'));
			if (sValue==sFromLocation) {
				oOption.selected=true;
			}
			frmTransfer.txtLcode1.add(oOption);
		}
	}
	if (frmTransfer.txtLcode1.options.length==2) {
		frmTransfer.txtLcode1.selectedIndex=1;
	}
}

	// Set to-loc list (includes classes)
function fnPrepareToLocationList() {
	var sFunction=fnGetChoice(frmTransfer.txtFunction);
	var sFromLocation=fnGetChoice(frmTransfer.txtLcode1);
	var sToLocation=fnGetChoice(frmTransfer.txtLcode2);
	var cNodes;
	var cNodesClasses;
	var oOption;
	var sValue;
	var bListAll;
	var aSeen = new Array(); // Used to remove duplicates (haven't worked out how to do this in selectNodes)
	var aSortable = new Array(); // Used to sort the results
	var i;
	var iMembers;
  var oXMLDocument=$.parseXML(xRoutes.innerHTML)

	if (sFunction!='') {
		if (sFromLocation!='') {
			cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[@location="'+sFromLocation+'" or @location="%ANY"]/tolocation');
			cNodesClasses=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation[@location="'+sFromLocation+'" or @location="%ANY"]/tolocationclass');
		}
		else {
			cNodes=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation/tolocation');
			cNodesClasses=$(oXMLDocument).xpath('/routes/function[@function="'+sFunction+'"]/fromlocation/tolocationclass');
		}
	}
	else {
		cNodes=$(oXMLDocument).xpath('/routes/function/fromlocation/tolocation');
		cNodesClasses=$(oXMLDocument).xpath('/routes/function/fromlocation/tolocationclass');
	}

	frmTransfer.txtLcode2.options.length=0;
	oOption=document.createElement('OPTION');
	oOption.text='                                        '; //40 spaces for width
	oOption.value='';
	oOption.selected=true;
	frmTransfer.txtLcode2.add(oOption);
	bListAll=false;
	for (i=0; i<cNodes.length; i++) {
		if (cNodes[i].getAttribute('location')=='%ANY') {
			bListAll=true;
			break;
		}
	}
	if (bListAll) {
		fnAddAllLocations(frmTransfer.txtLcode2,sToLocation,'to');
	}
	else {
		aSeen=[];
		for (i=0; i<cNodes.length; i++) {
			sValue=cNodes[i].getAttribute('location');
			aSeen[sValue]=i;
		}
		aSortable=[];
		for (sValue in aSeen) aSortable.push([sValue, aSeen[sValue]]);
		aSortable.sort(fnLocSort);
		
		for (i=0; i<aSortable.length; i++) {
			sValue=aSortable[i][0];
			oOption=document.createElement('OPTION');
			oOption.text=sValue;
			oOption.value=sValue;
			setAttr(oOption,'gjsFilePrompt',cNodes[aSortable[i][1]].getAttribute('fileprompt'));
			if (sValue==sToLocation) {
				oOption.selected=true;
			}
			frmTransfer.txtLcode2.add(oOption);
		}
	}
	if (frmTransfer.txtLcode2.options.length==2) {
		frmTransfer.txtLcode2.selectedIndex=1;
	}
	if (cNodesClasses.length>0) {
		oOption=document.createElement('OPTION');
		oOption.text='    -- Lists --';
		oOption.value='';
		oOption.style.backgroundColor='lightgrey';
		frmTransfer.txtLcode2.add(oOption);
		aSeen=[];
		for (i=0; i<cNodesClasses.length; i++) {
			sValue=cNodesClasses[i].getAttribute('locationclass');
			aSeen[sValue]=i;
		}
		aSortable=[];
		for (sValue in aSeen) aSortable.push([sValue, aSeen[sValue]]);
		aSortable.sort(fnLocSort);
		
		for (i=0; i<aSortable.length; i++) {
			sValue=aSortable[i][0];
			iMembers=cNodesClasses[aSortable[i][1]].getAttribute('members');
			oOption=document.createElement('OPTION');
			oOption.text=sValue+'  ('+iMembers+' location'+((iMembers>1)?'s':'')+')';
			oOption.value='@'+sValue;
			setAttr(oOption,'gjsFilePrompt','0');
			oOption.selected=(oOption.value==sToLocation);
			frmTransfer.txtLcode2.add(oOption);
		}
	}
}

	// Put all locations with sTestAttribute='1' into SELECT el and preselect sLocation if found
function fnAddAllLocations(el,sLocation,sTestAttribute) {
	var cNodes;
	var i;
	var sValue;
	var oOption;
  var oXMLDocument=$.parseXML(xRoutes.innerHTML)

	cNodes=$(oXMLDocument).xpath('/routes/alllocations/location');
	for (i=0; i<cNodes.length; i++) {
		sValue=cNodes[i].getAttribute('location');
		if (cNodes[i].getAttribute(sTestAttribute)=='1') {
  		oOption=document.createElement('OPTION');
  		oOption.text=sValue;
  		oOption.value=sValue;
  		setAttr(oOption,'gjsFilePrompt',cNodes[i].getAttribute('fileprompt'));
  		if (sValue==sLocation) {
  			oOption.selected=true;
  		}
  		el.add(oOption);
		}
	}
}


function fnGetChoice(oSel) {
	if (oSel.selectedIndex!=-1) {
		return oSel.options[oSel.selectedIndex].value;
	}
	return '';
}


function fnGetFilePromptAttribute(oSel) {
	if (oSel.selectedIndex!=-1) {
		return getAttr(oSel.options[oSel.selectedIndex],'gjsFilePrompt');
	}
	return '0';
}

