@echo off
rem Does Component exist in Visual SourceSafe project
rem Usage:
rem   vcm_vss_exists.bat vsscmd vssscript vsstemp project obv cref vsstempdrive
rem Inputs:
rem   %1 - vss command with path eg c:\vss\win32\ss.exe
rem   %2 - vcm vss scripts path
rem   %3 - vss temp files
rem   %4 - project name eg $/Project1/
rem   %5 - object/variant.version
rem   %6 - component name
rem   %7 - Drive letter of vss temporary directory

rem Outputs:
rem   returns 0 whether or not version actually exists
rem           100 if component does not exist

%7:
cd %3
%1 cp %4 -i- < %2vcm_vss_null.txt
%1 get %6 -vl%5 -i- -g- < %2vcm_vss_null.txt
