//vc/ File Location Maintenance
//vc/ Copyright 2002 George James
//vc/ Object:    %Serenjset81/1.1
//vc/ Component: T.vcset81.js

	var winHelp=null;
	var delimiter=parent.opener.delimiter;
	var winHelpProperties=parent.opener.winHelpProperties;
	var user=parent.opener.user;
	var g_bChanged=false;
	var g_oSelectedRow=null;


	// Row Change Manager
	// The first row forms the template for new rows, it should be blank and hidden
	// The last row should be blank but not hidden.  When a value is entered in the
	// last row, then a new row should be added using the first row as a template.
function fnRowChanged(oThisCell) {
	var oThisRow,oTableBody,oNewRow,oTemplateRow,oNewCell,i;
	Form.fnChanged();
	//
	// Is this the last row?
	oThisRow=oThisCell.parentNode.parentNode;
	if (getAttr(oThisRow,'gjsLastRow')=='0') return;
	setAttr(oThisRow,'gjsLastRow','0');
	//
	// Clone second (template) row as new last row
	oTableBody=oThisRow.parentNode;
	oNewRow=document.createElement("TR");
	oTableBody.appendChild(oNewRow);
	oTemplateRow=oTableBody.firstElementChild.nextElementSibling;
	oTableBody.appendChild(oNewRow);
	for (i=0 ; i<oTemplateRow.cells.length ; i++) {
		oNewCell=document.createElement("TD");
		oNewRow.appendChild(oNewCell);
		oNewCell.innerHTML=oTemplateRow.cells[i].innerHTML;
	}
	//
	// Make new row visible
	oNewRow.style.display='table-row';
}



	//----------------------------------------------------------------------
	// Validate and save item
	//----------------------------------------------------------------------
function fnItemSaveClose() {
	
	parent.serverLink.fnDo('fnItemSaveCloseResult','FileLocation.fnSave',fnArguments());
}

function fnItemSaveCloseResult(result) {
	;
	var arrResult;
	;
	arrResult=result.split(delimiter);
	if (arrResult[0]!="OK") {
		alert(result);
		return;
	}
	frmMain.revision.value=arrResult[1];
	g_bChanged=false;

	// Close the window
	parent.fnClose();
}


function fnArguments() {
	var arguments;
	arguments = frmMain.revision.value;
	arguments += delimiter;
	for (i=1; i<frmMain.selectedLocation.length; i++) {
		var last=frmMain.last[i].value;
		var pre=frmMain.pre[i].value;
		var min=frmMain.min[i].value;
		var max=frmMain.max[i].value;
		if (last.search(/\\/)!=-1) {
	          alert("Backslash character is not allowed!");
	      	  return;
		}
		if (pre.search(/\\/)!=-1) {
	          alert("Backslash character is not allowed!");
	      	  return;
		}
		if (min.search(/\\/)!=-1) {
	          alert("Backslash character is not allowed!");
	      	  return;
		}
		if (max.search(/\\/)!=-1) {
	          alert("Backslash character is not allowed!");
	      	  return;
		}

		arguments += frmMain.selectedLocation[i].value;
		arguments += '\\' + frmMain.last[i].value;
		arguments += '\\' + frmMain.pre[i].value;
		arguments += '\\' + frmMain.min[i].value;
		arguments += '\\' + frmMain.max[i].value;
		arguments += '\002';
	}
	
	return arguments;

}


function fnHelp() {
	winHelp=window.open('WebDoc/docs/index.html','vcmHelp',winHelpProperties) ;
	winHelp.focus();
}


function fnChanged() {
	g_bChanged=true;	
}


function fnClose() {
	parent.fnClose();
}


function fnBeforeUnload() {
	if (g_bChanged) return "There are unsaved changes.";
}

function fnUnload() {
	// Close child windows
	if (winHelp) winHelp.close();
}

window.onbeforeunload= fnBeforeUnload;
window.onunload=fnUnload;

